Chapter dropdown doesn't work for many works
Status: Closed Start date: 05/04/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

History

#1 - 05/08/2020 10:45 PM - Luke Murphey

- Priority changed from Normal to Urgent

#2 - 05/08/2020 10:46 PM - Luke Murphey

- Status changed from New to In Progress

- Priority changed from Urgent to Normal

#3 - 05/09/2020 04:38 PM - Luke Murphey

See Antiquities of the Jews

The template (https://github.com/LukeMurphey/textcritical_net/blob/master/src/reader/templates/read_work.html)

Obs:

I am using the stringified version of the name

        {% if divisions and divisions|length > 1 %}

        <div class="table-of-contents">

            <input autocorrect="off" autocapitalize="off" type="text" placeholder="Filter table of contents...

" class="division-filter" />

            <ul class="nav nav-list">

                {% for division_part in divisions.all %}

                   {% if chapter.parent_division.id == division_part.id %}

                <li class="division-{{division_part.level}} active">

                    <a data-division-descriptor="{{division_part.descriptor}}" href="{% url "read_work" work.t

itle_slug %}/{{ division_part.get_division_indicators|join:"/" }}"><i class="icon-book icon-white"></i>{{divis

ion_part|capfirst}}</a>

                </li>

                   {% else %}

                <li class="division-{{division_part.level}}">

                    <a data-division-descriptor="{{division_part.descriptor}}" href="{% url "read_work" work.t

itle_slug%}/{{ division_part.get_division_indicators|join:"/" }}"><i class="icon-book {% if USE_DARK_THEME|def

ault_if_none:1 %}icon-white{% endif %}"></i>{{division_part|capfirst}}</a>

                </li>

                   {% endif %}

                {% endfor %}

            </ul>

        </div>

        {% endif %}

 

{{chapter.get_division_description_titles.title|replace:"βοοκ,Book"}}
https://github.com/LukeMurphey/textcritical_net/blob/master/src/reader/templates/read_work.html


#4 - 05/09/2020 06:23 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

05/07/2024 2/2

http://www.tcpdf.org

